package net.mcreator.onepointdwainione.procedures;

import net.minecraft.world.level.LevelAccessor;
import net.minecraft.world.item.Items;
import net.minecraft.world.item.ItemStack;
import net.minecraft.world.entity.item.ItemEntity;
import net.minecraft.world.entity.MobSpawnType;
import net.minecraft.world.entity.EntityType;
import net.minecraft.world.entity.Entity;
import net.minecraft.util.RandomSource;
import net.minecraft.util.Mth;
import net.minecraft.server.level.ServerLevel;
import net.minecraft.core.particles.ParticleTypes;
import net.minecraft.core.BlockPos;

import net.mcreator.onepointdwainione.network.OnepointdwainioneModVariables;
import net.mcreator.onepointdwainione.OnepointdwainioneMod;

public class ChalangespawnerZaktualizujTickProcedure {
	public static void execute(LevelAccessor world, double x, double y, double z) {
		boolean found = false;
		double ilosc = 0;
		double sx = 0;
		double sy = 0;
		double sz = 0;
		if (OnepointdwainioneModVariables.MapVariables.get(world).spawner == 3) {
			if (Mth.nextInt(RandomSource.create(), 1, 2) == 1) {
				if (world instanceof ServerLevel _level) {
					ItemEntity entityToSpawn = new ItemEntity(_level, x, y, z, new ItemStack(Items.EMERALD));
					entityToSpawn.setPickUpDelay(10);
					_level.addFreshEntity(entityToSpawn);
				}
			} else {
				if (Mth.nextInt(RandomSource.create(), 1, 2) == 2) {
					for (int index0 = 0; index0 < (int) Mth.nextDouble(RandomSource.create(), 1, 5); index0++) {
						if (world instanceof ServerLevel _level) {
							ItemEntity entityToSpawn = new ItemEntity(_level, x, y, z, new ItemStack(Items.GOLDEN_CARROT));
							entityToSpawn.setPickUpDelay(10);
							_level.addFreshEntity(entityToSpawn);
						}
					}
				}
			}
			if (world instanceof ServerLevel _level)
				_level.sendParticles(ParticleTypes.SOUL_FIRE_FLAME, x, (y + 1), z, 5, 3, 3, 3, 1);
			while (!(OnepointdwainioneModVariables.MapVariables.get(world).spawner == 0)) {
				OnepointdwainioneMod.queueServerWork(10, () -> {
					OnepointdwainioneModVariables.MapVariables.get(world).spawner = OnepointdwainioneModVariables.MapVariables.get(world).spawner - 0.1;
					OnepointdwainioneModVariables.MapVariables.get(world).syncData(world);
				});
			}
		} else {
			OnepointdwainioneModVariables.MapVariables.get(world).spawner = OnepointdwainioneModVariables.MapVariables.get(world).spawner + 1;
			OnepointdwainioneModVariables.MapVariables.get(world).syncData(world);
			if (world.players().size() == 1) {
				for (int index2 = 0; index2 < Mth.nextInt(RandomSource.create(), 2, 3); index2++) {
					if (world instanceof ServerLevel _level) {
						Entity entityToSpawn = EntityType.STRAY.spawn(_level, BlockPos.containing(x + Mth.nextInt(RandomSource.create(), 2, -2), y, z + Mth.nextInt(RandomSource.create(), 2, -2)), MobSpawnType.MOB_SUMMONED);
						if (entityToSpawn != null) {
							entityToSpawn.setDeltaMovement(0, 0, 0);
						}
					}
				}
			} else {
				if (world.players().size() == 2) {
					for (int index3 = 0; index3 < Mth.nextInt(RandomSource.create(), 2, 4); index3++) {
						if (world instanceof ServerLevel _level) {
							Entity entityToSpawn = EntityType.STRAY.spawn(_level, BlockPos.containing(x + Mth.nextInt(RandomSource.create(), 2, -2), y, z + Mth.nextInt(RandomSource.create(), 2, -2)), MobSpawnType.MOB_SUMMONED);
							if (entityToSpawn != null) {
								entityToSpawn.setDeltaMovement(0, 0, 0);
							}
						}
					}
				} else {
					if (world.players().size() == 3) {
						for (int index4 = 0; index4 < Mth.nextInt(RandomSource.create(), 3, 5); index4++) {
							if (world instanceof ServerLevel _level) {
								Entity entityToSpawn = EntityType.STRAY.spawn(_level, BlockPos.containing(x + Mth.nextInt(RandomSource.create(), 2, -2), y, z + Mth.nextInt(RandomSource.create(), 2, -2)), MobSpawnType.MOB_SUMMONED);
								if (entityToSpawn != null) {
									entityToSpawn.setDeltaMovement(0, 0, 0);
								}
							}
						}
					} else {
						if (world.players().size() >= 4) {
							for (int index5 = 0; index5 < Mth.nextInt(RandomSource.create(), 3, 6); index5++) {
								if (world instanceof ServerLevel _level) {
									Entity entityToSpawn = EntityType.STRAY.spawn(_level, BlockPos.containing(x + Mth.nextInt(RandomSource.create(), 2, -2), y, z + Mth.nextInt(RandomSource.create(), 2, -2)), MobSpawnType.MOB_SUMMONED);
									if (entityToSpawn != null) {
										entityToSpawn.setDeltaMovement(0, 0, 0);
									}
								}
							}
						}
					}
				}
			}
		}
	}
}
